# Awesome Sentinel

[![Awesome](https://awesome.re/badge-flat.svg)](https://awesome.re)

A curated list of awesome things (e.g. sample, extensions, blogs) for [Sentinel](https://github.com/alibaba/Sentinel).

If you want your component to appear here, send a pull request to this repository to add it.
You can refer to the [contribution guidelines](https://github.com/sentinel-group/sentinel-awesome/blob/master/CONTRIBUTING.md).

You can also add to [sentinel-group/sentinel-awesome](https://github.com/sentinel-group/sentinel-awesome).

## Contents

- [Tutorials](#tutorials)
- [Samples / Demos](#samples--demos)
- [Extensions / Integrations](#extensions--integrations)
- [Blogs](#blogs)

## Tutorials



## Samples / Demos

- [sentinel-zuul-example](https://github.com/tigerMoon/sentinel-zuul-sample): A simple project integration Sentinel to Spring Cloud Zuul which provide Service and API Path level flow control management by [tiger](https://github.com/tigerMoon)

## Extensions / Integrations

- [sentinel-support](https://github.com/cdfive/sentinel-support): A support project for convenient Sentinel integration including properties file configuration, ActiveMQ integration and a JdbcDataSource implementation.

## Blogs

- [Sentinel 为 Dubbo 服务保驾护航](http://dubbo.apache.org/zh-cn/blog/sentinel-introduction-for-dubbo.html) by [Eric Zhao](https://github.com/sczyh30)
- [Sentinel 一体化监控解决方案 CrateDB + Grafana](https://blog.csdn.net/huyong1990/article/details/82392386) by [Young Hu](https://github.com/YoungHu)
- [在生产环境中使用 Sentinel 控制台](https://github.com/alibaba/Sentinel/wiki/%E5%9C%A8%E7%94%9F%E4%BA%A7%E7%8E%AF%E5%A2%83%E4%B8%AD%E4%BD%BF%E7%94%A8-Sentinel-%E6%8E%A7%E5%88%B6%E5%8F%B0) by [Eric Zhao](https://github.com/sczyh30)
- [限流降级神器-哨兵(Sentinel)原理分析](https://mp.weixin.qq.com/s/7_pCkamNv0269e5l9_Wz7w) by [houyi](https://github.com/all4you)
- [限流降级神器-哨兵(Sentinel)的资源调用链原理分析](https://mp.weixin.qq.com/s/UEzwD22YC6jpp02foNSXnw)  by [houyi](https://github.com/all4you)
- [限流降级神器-哨兵(Sentinel)基于滑动时间窗口的实时指标统计分析](https://mp.weixin.qq.com/s/B1_7Kb_CxeKEAv43kdCWOA)  by [houyi](https://github.com/all4you)
- [Sentinel 控制台监控数据持久化【MySQL】(Spring Data JPA)](https://www.cnblogs.com/cdfive2018/p/9838577.html) by [cdfive](https://github.com/cdfive)
- [Sentinel 控制台监控数据持久化【InfluxDB】](https://www.cnblogs.com/cdfive2018/p/9914838.html) by [cdfive](https://github.com/cdfive)
- [Sentinel学习笔记（1）-- 流量统计代码解析](https://www.jianshu.com/p/7936d7a57924)  by [ro9er](https://github.com/ro9er)
- [Sentinel学习笔记（2）-- 流量控制代码分析](https://www.jianshu.com/p/938709e94e43)  by [ro9er](https://github.com/ro9er)
- [Sentinel学习笔记（3）-- 上下文统计Node建立分析](https://www.jianshu.com/p/cfdf525248c1)  by [ro9er](https://github.com/ro9er)
- [大流量下的服务质量治理 Dubbo Sentinel初涉](https://mp.weixin.qq.com/s/ergr_siI07VwwSRPFgsLvQ)  by [RyuGrade](https://github.com/RyuGrade)